# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Date/Parse.pm) perl(Encode.pm) perl(ExtUtils/Command.pm) perl(GD.pm) perl(Getopt/GUI/Long.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(Math/Trig.pm) perl(QWizard.pm) perl(QWizard/API.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Summary: GeoCaching and General Waypoint Database
Name: geoqo
Version: 1.11
Release: alt1_6
License: GPLv2
Group: Games/Other
URL: http://www.geoqo.org/
Source0: http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
# These are only pseudo required by the code and won't be auto-found
# list extracted from check-prerequisites.pl
Requires: perl(Gtk2.pm) perl(QWizard.pm) perl(GD.pm) perl(Chart/Lines.pm)
Requires: perl(Getopt/GUI/Long.pm) perl(DBD/SQLite2.pm)
# required for make test
BuildRequires: perl(Test.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
BuildRequires: perl(DBI.pm)
BuildRequires: perl(XML/Parser.pm)
BuildRequires: perl(XML/Simple.pm)
BuildRequires: perl(DBD/SQLite2.pm)
BuildRequires: perl(Text/Balanced.pm)
BuildRequires: perl(Archive/Zip.pm)
Source44: import.info

%description
geoqo is an application and support modules for manipulating a database
of geocaching and other types of waypoints.

The homepage for GeoQO is the best place to read about it, and can be
found at:

  http://www.geoqo.org/ 

%prep
%setup -q -n geoqo-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot} GQINSTALLDIR=%{buildroot}/usr geoqoadditions

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# fix incorrect installed files
find %{buildroot} -name \*.pm -exec chmod a-x {} \;
rm -f %{buildroot}%{perl_vendor_privlib}/INSTALL-WINDOWS.pl

# this gets installed as documentation so remove the execute bit
chmod a-x check-prerequisites.pl

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc COPYING README NEWS check-prerequisites.pl

%{_bindir}/geoqo
%{_mandir}/man1/*

%{perl_vendor_privlib}/*

%{_datadir}/geoqo
%{_datadir}/geoqo/icons
%{_datadir}/geoqo/icons/*
%{_datadir}/geoqo/classify-ignore-words
%{_datadir}/geoqo/scripts
%{_datadir}/geoqo/scripts/*
%{_datadir}/geoqo/scripts/*/*

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1_6
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1_5
- initial fc import

